#!/usr/bin/env python
"""
    Simple script to get the temperature instantaneously from the MSP
"""
import iceCape
from conversions import conversions
from gwlogging import logger
from variables import BASE, REF, CAM, FARM

from sys import argv

__mode__ = None


def read_temperature(mode):
    """
        Will read the temperature instantly and print it
    """
    ice = iceCape.iceCape()
    ice.output_on(iceCape.SENSE_EN)
    raw = ice.read_sensors(iceCape.TEMPERATURE)
    ice.output_off(iceCape.SENSE_EN)
    print ("RAW Temperature value: %d" % raw)
    conv = conversions(mode)
    actual = conv.temperature(raw)
    print "Actual Temperature: %f" % actual


if __name__ == "__main__":
    for arg in argv[1:]:
        if arg == '-B':
            logger.info("Base mode activated")
            __mode__ = BASE
        elif arg == '-R':
            logger.info("Ref mode activated")
            __mode__ = REF
        elif arg == '-C':
            logger.info("Cam mode activated")
            __mode__ = CAM
            __camera__ = True
            __comms__ = False
        elif arg == '-F':
            logger.info("farm mode activated")
            __mode__ = FARM
        else:
            print "Useage: %s  -[B|R|F|C]" % (argv[0])
            print "\t-C: Camera only mode"
            print "\t-B: Base station mode - enables probes"
            print "\t-R: Reference station mode - disables probes"
            print ("\t-F: Farm station mode - only does comms stuff does not" +
                            " do any power management")
            exit(2)

    if __mode__ is None:
        logger.critical("Must set a mode")
        exit(1)
    read_temperature(__mode__)
