#!/usr/bin/env python

import iceCape
from gwlogging import logger
from variables import *
from comms import *

from sys import argv

__mode__ = None


if __name__ == "__main__":
    for arg in argv[1:]:
        if arg == '-B':
            logger.info("Base mode activated")
            __mode__ = BASE
        elif arg == '-R':
            logger.info("Ref mode activated")
            __mode__ = REF
        elif arg == '-C':
            logger.info("Cam mode activated")
            __mode__ = CAM
            __camera__ = True
            __comms__ = False
        elif arg == '-F':
            logger.info("farm mode activated")
            __mode__ = FARM
        else:
            print "Useage: %s  -[B|R|F|C]" % (argv[0])
            print "\t-C: Camera only mode"
            print "\t-B: Base station mode - enables probes"
            print "\t-R: Reference station mode - disables probes"
            print ("\t-F: Farm station mode - only does comms stuff does not" +
                        " do any power management")
            exit(2)

    if __mode__ is None:
        logger.critical("Must set a mode")
        exit(1)
    if __mode__ is BASE:
        SSH_REVERSE_PORT = BASE_REVERSE_PORT
    elif __mode__ is REF:
        SSH_REVERSE_PORT = REF_REVERSE_PORT
    elif __mode__ is FARM:
        SSH_REVERSE_PORT = FARM_REVERSE_PORT
    elif __mode__ is CAM:
        SSH_REVERSE_PORT = CAM_REVERSE_PORT
    else:
        logger.critical("Should not have been possible to get here")
        sys.exit(2)
    logger.debug("SSH Port:%d" % SSH_REVERSE_PORT)

    open_ssh_tunnel(chooseSshServer(), SSH_REVERSE_PORT) 
